Call
List call evaluation runs
Fetch all evaluation run results for a specific call.
GET
/
v1
/
call
/
{callId}
/
evaluation-run
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.call.listEvaluationRuns('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.call.list_evaluation_runs(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)curl --request GET \
--url https://api.roark.ai/v1/call/{callId}/evaluation-run \
--header 'Authorization: Bearer <token>'
{
"data": [
{
"evaluator": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"weight": 123
},
"metrics": [
{
"name": "<string>",
"valueType": "<string>",
"numericValue": 123,
"booleanValue": true,
"textValue": "<string>",
"confidence": 0.5,
"reasoning": "<string>",
"role": "<string>",
"createdAt": "<string>"
}
],
"evidence": [
{
"snippetText": "<string>",
"commentText": "<string>",
"isPositive": true,
"createdAt": "<string>"
}
],
"blockRuns": [
{
"blockRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blockDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blockName": "<string>",
"score": 0.5,
"reason": "<string>",
"createdAt": "<string>"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"score": 0.5,
"summary": "<string>",
"startedAt": "<string>",
"completedAt": "<string>"
}
]
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "rate_limit",
"code": "too_many_requests",
"message": "Rate limit exceeded"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the call to fetch evaluation run for
Response
Evaluation run for a specific call
Evaluation run response payload
Show child attributes
Show child attributes
Previous
List call sentiment runsFetch detailed sentiment analysis results for a specific call, including emotional tone, key phrases, and sentiment scores.
Next
⌘I
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.call.listEvaluationRuns('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.call.list_evaluation_runs(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)